Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class ANSI.Code

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Code

    class ANSI.Code

Field Summary
`static int` | `BG_BLACK`
`static int` | `BG_BLUE`
`static int` | `BG_CYAN`
`static int` | `BG_GREEN`
`static int` | `BG_MAGENTA`
`static int` | `BG_RED`
`static int` | `BG_WHITE`
`static int` | `BG_YELLOW`
`static int` | `BLACK`
`static int` | `BLINK`
`static int` | `BLUE`
`static int` | `BOLD`
`static int` | `CONCEALED`
`static int` | `CYAN`
`static int` | `FG_BLACK`
`static int` | `FG_BLUE`
`static int` | `FG_CYAN`
`static int` | `FG_GREEN`
`static int` | `FG_MAGENTA`
`static int` | `FG_RED`
`static int` | `FG_WHITE`
`static int` | `FG_YELLOW`
`static int` | `GREEN`
`static int` | `MAGENTA`
`static int` | `OFF`
`static int` | `RED`
`static int` | `REVERSE`
`static int` | `UNDERSCORE`
`static int` | `WHITE`
`static int` | `YELLOW`

Constructor Summary
`ANSI.Code()`

Method Summary
`static int` | `forName(String name)` Returns the ANSI code for the given symbolic name.
`static String` | `name(int code)` Returns the symbolic name for the given ANSI code.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### BG_BLACK

    static final int BG_BLACK

### BG_BLUE

    static final int BG_BLUE

### BG_CYAN

    static final int BG_CYAN

### BG_GREEN

    static final int BG_GREEN

### BG_MAGENTA

    static final int BG_MAGENTA

### BG_RED

    static final int BG_RED

### BG_WHITE

    static final int BG_WHITE

### BG_YELLOW

    static final int BG_YELLOW

### BLACK

    static final int BLACK

### BLINK

    static final int BLINK

### BLUE

    static final int BLUE

### BOLD

    static final int BOLD

### CONCEALED

    static final int CONCEALED

### CYAN

    static final int CYAN

### FG_BLACK

    static final int FG_BLACK

### FG_BLUE

    static final int FG_BLUE

### FG_CYAN

    static final int FG_CYAN

### FG_GREEN

    static final int FG_GREEN

### FG_MAGENTA

    static final int FG_MAGENTA

### FG_RED

    static final int FG_RED

### FG_WHITE

    static final int FG_WHITE

### FG_YELLOW

    static final int FG_YELLOW

### GREEN

    static final int GREEN

### MAGENTA

    static final int MAGENTA

### OFF

    static final int OFF

### RED

    static final int RED

### REVERSE

    static final int REVERSE

### UNDERSCORE

    static final int UNDERSCORE

### WHITE

    static final int WHITE

### YELLOW

    static final int YELLOW

Constructor Detail

### ANSI.Code

    ANSI.Code()

Method Detail

### forName

    public static int forName(String name)

  Returns the ANSI code for the given symbolic name. Supported symbolic names are all defined as fields in Code where the case is not significant.

### name

    public static String name(int code)

  Returns the symbolic name for the given ANSI code.

Copyright © 2003-2009 The Codehaus. All rights reserved.